@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");


/* Make the menu bar and tab bar in Firefox 89+ look more like it did in Firefox 88 */

#toolbar-menubar, #TabsToolbar {
	background-color: #4c4a48 !important;
}

.tabbrowser-tab
{
	padding-left: 0 !important;
	padding-right: 0 !important;
}

#toolbar-menubar, .titlebar-buttonbox-container, .tab-content .tab-label {
	color: #fff !important;
}

tab[selected=true] .tab-content .tab-label {
	color: #000 !important;
}

#tabs-newtab-button .toolbarbutton-icon {
	fill: #fff !important;
}

#tabs-newtab-button:hover .toolbarbutton-icon {
	fill: #000 !important;
}

.tabbrowser-tab .tab-background
{
	border-radius: 0 !important;
	margin-bottom: 0 !important;
}

.tabbrowser-tab + .tabbrowser-tab .tab-content {
	border-left: 1px solid rgba(51, 50, 49, 0.5) !important;
}

.tabbrowser-tab + .tabbrowser-tabtab[selected=true] .tab-content {
	border-left: none !important;
}

tab[first-visible-unpinned-tab=true]
{
	margin-inline-start: 0 !important;
	margin-left: 0 !important;
}


/* Increase the size of entries in dropdown menus for bookmark folders */

toolbarbutton .bookmark-item
{
	font-size: 2rem !important;
	padding-top: 1rem !important;
	padding-left: 0.5rem !important;
	padding-bottom: 1rem !important;
}

toolbarbutton .bookmark-item .menu-iconic-icon
{
	width: 32px !important;
	height: 32px !important;
}

toolbarbutton .bookmark-item .menu-iconic-text
{
	padding-left: 0.5rem !important;
}


/* Hide the close button on individual tabs so they can't be closed accidentally by a mis-click */
#tabbrowser-tabs .tabbrowser-tab .tab-close-button { display:none !important; }


/* Reset the accent colour for tabs with page changes when running under Linux with the Fluent GTK theme */
#TabsToolbar, #TabsToolbar[brighttext] {
	--attention-icon-color: #e95420 !important;
}
